makeflow_graph_log(1)

NAME

makeflow_graph_log - convert a makeflow log into a graph

SYNOPSIS

makeflow_graph_log <logfile> <imagefile>

DESCRIPTION

makeflow_graph_log converts a makeflow log into a graph that shows the number of tasks ready, running, and completed over time. The output graph is generated by using gnuplot to create a postscript file, which is then converted to the desired type using ImageMagick. The type of the output file is determined by the name, so any image type supported by ImageMagick can be selected.

OPTIONS

None.

EXAMPLES

    makeflow_graph_log small.makeflowlog small.pdf
    makeflow_graph_log big.makeflowlog big.gif

COPYRIGHT

The Cooperative Computing Tools are Copyright (C) 2022 The University of Notre Dame. This software is distributed under the GNU General Public License. See the file COPYING for details.

SEE ALSO

•   Cooperative Computing Tools Documentation

•   Makeflow User Manual

•   makeflow(1) makeflow_monitor(1) makeflow_analyze(1) makeflow_viz(1) makeflow_graph_log(1) starch(1) makeflow_ec2_setup(1) makeflow_ec2_cleanup(1)